Loading...
Searching...
No Matches
util.c File Reference

Internal utility functions for the g2c library. More...

`#include "grib2_int.h"`
`#include <stdarg.h>`

Go to the source code of this file.

## Functions

int | g2c_check_msg (unsigned char *cgrib, g2int *lencurr, int verbose)
| Check for 'GRIB' at the beginning of a GRIB message, and check to see if the message is already terminated with '7777'.
int | g2c_set_log_level (int new_level)
| Use this to set the global log level.

## Detailed Description

Internal utility functions for the g2c library.

Author
  Ed Hartnett

Date
  Nov 11, 2021

Definition in file util.c.

## Function Documentation

## g2c_check_msg()

int g2c_check_msg | ( | unsigned char * | cgrib,
|  | g2int * | lencurr,
|  | int | verbose
| ) |  |

Check for 'GRIB' at the beginning of a GRIB message, and check to see if the message is already terminated with '7777'.

Parameters

  cgrib | Buffer that contains the GRIB message.
  lencurr | Pointer that gets the length of the GRIB message.
  verbose | If non-zero, print any error messages to stdout.

Returns
  - G2C_NOERROR No error.
  - G2C_ENOTGRIB GRIB header not found.
  - G2C_EMSGCOMPLETE GRIB message already complete.

Author
  Ed Hartnett

Date
  Nov 11, 2021

Definition at line 26 of file util.c.

References G2C_EMSGCOMPLETE, G2C_ENOTGRIB, G2C_NOERROR, and gbit().

Referenced by g2_addfield(), g2_addgrid(), g2_addlocal(), and g2_gribend().

## g2c_set_log_level()

int g2c_set_log_level | ( | int | new_level | ) |

Use this to set the global log level.

Settings:

- -1 turn off all logging.
- 0 show only errors.
- 1 output useful as verbose to utilities.
- 2 or 3 shows some/all calls to top-level functions.
- 4+ ever greater levels of detail.

If logging is not enabled when building NCEPLIBS-g2c, this function will do nothing.

Parameters

  new_level | The new logging level.

Returns
  G2C_NOERROR No error.

Author
  Ed Hartnett

Definition at line 129 of file util.c.

References G2C_NOERROR, and LOG.

Referenced by main().